# Library fr die Systemzeit
TARGET = libclock

# MCU name
MCU = atmega128

CC = avr-gcc
LB = avr-ar
LD = avr-ld

# Optimization level, can be [0, 1, 2, 3, s]. 0 turns off optimization.
OPT = 0

CFLAGS  = -g -O$(OPT) 
CFLAGS += -mmcu=atmega128 

# List C source files here. (C dependencies are automatically generated.)
# SRC = $(TARGET).c \
# foo.c bar.c

SOURCES = clock.c

OBJECTS = $(SOURCES:.c=.o)

INCDIRS  = -I ./../api
INCDIRS += -I ./../../sys

CFLAGS += $(INCDIRS)

all:	start  \
	$(TARGET).a \
	end

	






 Compile: create object files from C source files.
%.o : %.c
	@echo
	@echo $(MSG_COMPILE) $<
	$(CC) -c $(CFLAGS) $< 
	@echo $(MSG_COMPILE_END) $<



.SECONDARY : $(TARGET).a
.PRECIOUS : $(OBJECTS)
%.a: $(OBJECTS)
	@echo $(MSG_LIB) $<
	$(LB) -rcs $(TARGET).a $(OBJECTS)
	#cp $(TARGET).a ./../../lib$(TARGET).a
	cp $(TARGET).a ./../../$(TARGET).a
	@echo $(MSG_LIB_END)
	

 


start:
	@echo
	@echo --------------- Library: $(TARGET) ---------------
	@echo

end:
	@echo
	@echo ----------------- End: $(TARGET) -----------------
	@echo

MSG_COMPILE     = --------------- Compile:
MSG_COMPILE_END = --------------- End Compile

MSG_LIB     = --------------- Librarian:
MSG_LIB_END = --------------- End Librarian
